Bug 847106 - ext2 tests hang while running fsfuzzer
ext2 tests hang while running fsfuzzer
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.1
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Carlos Maiolino
Boyang Xue
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-09 13:55 EDT by Gurhan Ozen
Modified: 2017-03-21 08:19 EDT (History)
12 users (show)

See Also:
Fixed In Version: kernel-2.6.32-662.el6
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-21 08:19:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (23.14 KB, application/octet-stream)
2012-08-09 13:55 EDT, Gurhan Ozen
no flags Details

  None (edit)
Description Gurhan Ozen 2012-08-09 13:55:36 EDT
Created attachment 603319 [details]
dmesg

Description of problem:
When running fsfuzzer for ext2 testing, it hangs. 
dmesg that has the stacktraces will be attached.

Version-Release number of selected component (if applicable):
rhel6

How reproducible:
Very

Steps to Reproduce:
1. Reserve a rhel6 machine and install /kernel/storage/fsfuzzer test and run ./fsfuzz ext2
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Kamil Dudka 2012-08-09 15:55:54 EDT
This could be hardly a bug of the 'filesystem' package, switching to kernel...
Comment 3 RHEL Product and Program Management 2012-12-14 03:25:31 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 7 Carlos Maiolino 2013-03-28 14:20:37 EDT
Gurhan, do you have the kernel version where you reproduced it?

Were you able to reproduce it on any recent kernel?

Thanks.

--Carlos
Comment 12 Jeff Burke 2013-11-05 09:51:15 EST
Yes this issue still exists.
Comment 14 Eric Sandeen 2013-11-05 10:14:34 EST
It should also be possible to grab the problematic image out of fsfuzzer to reproduce elsewhere.
Comment 15 Carlos Maiolino 2013-11-05 10:55:17 EST
I could reproduce it on my local test system, don't worry about access to the test system or take the fsfuzzer image.
Comment 16 Jeff Burke 2014-02-17 13:29:08 EST
Carlos,
 Any updates on this issue? 

Thanks,
Jeff
Comment 17 Carlos Maiolino 2014-02-17 13:40:25 EST
Hi Jeff,

don't have news regarding this bug yet, sorry.
I'll update it as soon as I have something for it.

Cheers,
--Carlos
Comment 18 Steve Whitehouse 2015-11-27 11:15:44 EST
Carlos, do you need something more to progress this - are you able to resproduce it, or do you need some more information?
Comment 19 Carlos Maiolino 2015-12-07 05:41:27 EST
Hi Steve,

no, I don't need anything by now. I believe I have already identified the bug, but, if I'm right, it also exists upstream. I'm testing now if I can reproduce it upstream.

the bug looks to happen only on filesystems with 1K blocks, and a corrupted inode makes the filesystem try to lock the superblock twice.

At a first glance, I thought the bug could only happen when the ext2_xattr_delete_inode() was trying to delete an inode where i_file_acl was 1, which would make the function lock the superblock buffer_head, instead of the inode's buffer_head itself, but that's not the case.

 I'm using some instrumentation code to isolate the bug, since, my first possible fix didn't work as expected.

I believe whenever i_file_acl points to a superblock buffer, it will triggers the bug, but, next investigation/code instrumentation might give me better results.
Comment 23 Phillip Lougher 2016-10-07 17:20:18 EDT
Patch(es) committed on kernel repository and kernel is undergoing testing
Comment 25 Phillip Lougher 2016-10-12 09:59:42 EDT
Patch(es) available on kernel-2.6.32-662.el6
Comment 31 errata-xmlrpc 2017-03-21 08:19:53 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0817.html

Note You need to log in before you can comment on or make changes to this bug.